"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDomain = exports.setCustomDomain = void 0;
const helpers_1 = require("../../helpers");
const extractDomain_1 = require("./extractDomain");
let customDomain = '';
const setCustomDomain = (domain) => {
    customDomain = domain;
};
exports.setCustomDomain = setCustomDomain;
const getDomain = (urlDomain) => {
    if (customDomain) {
        const domain = customDomain;
        (0, exports.setCustomDomain)('');
        return domain;
    }
    let domain = (0, helpers_1.isFirefox)() || (0, helpers_1.isSafari)() ? urlDomain : '';
    if (document.referrer) {
        domain = (0, extractDomain_1.extractDomain)(document.referrer).domain;
    }
    return domain;
};
exports.getDomain = getDomain;
//# sourceMappingURL=getDomain.js.map